<template>
  <div>
    <Checkout />
    <div class="product-list">
      <div v-for="product in products" :key="product.id">
        <Product
          :id="product.id"
          :name="product.name"
          :price="product.price"
          :image="product.image"
        />
      </div>
    </div>
  </div>
</template>

<script>
import Product from '@/components/Home/Product.vue'
import Checkout from '@/components/Cart/Checkout'
export default {
  name: 'home',
  components: {
    Product,
    Checkout
  },
  data() {
    return {
      products: [
        // Массив обьектов, имитируем подгрузку товаров из базы данных
        { id: 1, name: 'Товар 1', price: 1200, image: 'product.png' },
        { id: 2, name: 'Товар 2', price: 500, image: 'product.png' },
        { id: 3, name: 'Товар 3', price: 700, image: 'product.png' },
        { id: 4, name: 'Товар 4', price: 1000, image: 'product.png' },
        { id: 5, name: 'Товар 5', price: 400, image: 'product.png' },
        { id: 6, name: 'Товар 6', price: 300, image: 'product.png' },
        { id: 7, name: 'Товар 7', price: 2200, image: 'product.png' },
        { id: 8, name: 'Товар 8', price: 550, image: 'product.png' },
        { id: 9, name: 'Товар 9', price: 750, image: 'product.png' },
        { id: 10, name: 'Товар 10', price: 1525, image: 'product.png' },
        { id: 11, name: 'Товар 11', price: 3000, image: 'product.png' },
        { id: 12, name: 'Товар 12', price: 510, image: 'product.png' }
      ]
    }
  }
}
</script>
<style lang="scss" scoped>
.product-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
</style>